Bug 131955 - control-enter in form in Mozilla crashes X
control-enter in form in Mozilla crashes X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: 143641
  Show dependency treegraph
 
Reported: 2004-09-07 09:31 EDT by Tom Laudeman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 07:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x windows config file (2.71 KB, text/plain)
2004-09-09 09:00 EDT, Tom Laudeman
no flags Details
X windows log file from crash (36.72 KB, text/plain)
2004-09-09 09:03 EDT, Tom Laudeman
no flags Details

  None (edit)
Description Tom Laudeman 2004-09-07 09:31:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
In Mozilla 1.7, at Google enter a search string and submit the form
with control-enter instead of enter. X windows crashed 4 out or 5
tries. The Mozilla team says this is an issue with FC2, since it works
fine with RH8. tail Xorg.0.log.old says:
...
Fatal server error:
Caught signal 11.  Server aborting

yum updates are current.

Linux xxx.yyy.virginia.edu 2.6.8-1.521smp #1 SMP Mon Aug 16 09:25:06
EDT 2004 i686 i686 i386 GNU/Linux

Version-Release number of selected component (if applicable):
X 11 6.7.0-5

How reproducible:
Always

Steps to Reproduce:
1. Go to Google
2. Enter the search string    BMW "series-2"
3. Press control-enter.
4. X crashes, and you are returned to the Fedora login screen.
5. On the 5th try, Mozilla wouldn't restart from the taskbar icon.
Dunno why, but I'm guessing the crash corrupted something.
    

Actual Results:  X crashes, instantly, no warning, nothing helpful in
the log file.

Expected Results:  The form is submitted.

Additional info:

I first submitted a but to the Mozilla team.
The Mozilla team responded:

Please file a bug on Fedora Core 2, specifically on the X version it
uses... 
This is not a problem with RedHat 8, for instance, with 1.7 or current
Mozilla
builds.
Comment 1 Tom Laudeman 2004-09-07 09:31:58 EDT
Desktop is KDE.
Comment 2 Mike A. Harris 2004-09-09 03:50:53 EDT
Attach your X server log and config file using the bugzilla file
attachment feature.
Comment 3 Tom Laudeman 2004-09-09 09:00:13 EDT
Created attachment 103637 [details]
x windows config file
Comment 4 Tom Laudeman 2004-09-09 09:03:12 EDT
Created attachment 103638 [details]
X windows log file from crash
Comment 5 Tom Laudeman 2004-09-09 09:06:21 EDT
The machine is a nearly new Dell Precision 650. The monitor is a Dell
flat screen. It probably doesn't matter, but I'm using the standard
video connection, not the digital connector.
Comment 6 Tom Laudeman 2004-09-09 17:24:55 EDT
Starting just a few minutes ago, ANY Google search crashes X, even if
the "Google search" button is clicked instead of using enter or
control-enter. The Google page has some CSS/JavaScript. Forms on other
sites work normally.

Comment 8 Mike A. Harris 2005-02-07 22:27:43 EST
*** This is an automated comment update ***

The X11 implementation included with Fedora Core 2 and 3, is "X.Org X11"
provided by the X.Org project located at "http://www.x.org".  XFree86 is no
longer included in Fedora Core.  To ensure faster review and investigation
of X related Fedora Core bug reports, please be sure to file the bug against
the correct component of "xorg-x11" in the future.  Thanks in advance.

Reassigning several bugs from XFree86 component to proper xorg-x11
component ...
Comment 9 Mike A. Harris 2005-04-15 07:01:14 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.